//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wBranchesView:
//   Run branches command for the branches pane


#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wBranchesView.h"

#include "p4wBranchesPane.h"
#include "p4wMenuPane.h"


p4wBranchesView::p4wBranchesView( p4wRequest & Request )
	: p4wView(Request)
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Branches" );
	fFullTitle.Set( "Branches" );
}

p4wBranchesView::~p4wBranchesView()
{
}

void p4wBranchesView::RenderContent()
{
	//
	// Send the branches command to the branches pane.
	
	p4wBranchesPane branchesPane( *this, fRequest );
	fRequest.p4( "branches", 0, 0, &branchesPane );

	fRequest.p4Wait();
}

void p4wBranchesView::RenderMenu()
{
	//
	// Draw the menu bar
	
	p4wMenuPane menuPane( *this, fRequest, "branch" );
	menuPane.Render( NULL );
}
